Bug 82881 - test_vec4_register_coalesce regression
Summary: test_vec4_register_coalesce regression
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Matt Turner
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-08-20 23:25 UTC by Vinson Lee
Modified: 2014-08-31 03:57 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2014-08-20 23:25:34 UTC
mesa: 04895f5c601b240df547739da786b7c2b65bdd1e (master 10.3.0-devel)


=================================================================
   Mesa 10.3.0-devel: src/mesa/drivers/dri/i965/test-suite.log
=================================================================

# TOTAL: 3
# PASS:  2
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_vec4_register_coalesce
=================================

Running main() from gtest_main.cc
[==========] Running 5 tests from 1 test case.
[----------] Global test environment set-up.
[----------] 5 tests from register_coalesce_test
[ RUN      ] register_coalesce_test.test_compute_to_mrf
[       OK ] register_coalesce_test.test_compute_to_mrf (0 ms)
[ RUN      ] register_coalesce_test.test_multiple_use
[       OK ] register_coalesce_test.test_multiple_use (0 ms)
[ RUN      ] register_coalesce_test.test_dp4_mrf
[       OK ] register_coalesce_test.test_dp4_mrf (0 ms)
[ RUN      ] register_coalesce_test.test_dp4_grf
[       OK ] register_coalesce_test.test_dp4_grf (0 ms)
[ RUN      ] register_coalesce_test.test_channel_mul_grf
test_vec4_register_coalesce.cpp:247: Failure
Expected: (mul->dst.reg) != (to.reg), actual: 2 vs 2
[  FAILED  ] register_coalesce_test.test_channel_mul_grf (0 ms)
[----------] 5 tests from register_coalesce_test (0 ms total)

[----------] Global test environment tear-down
[==========] 5 tests from 1 test case ran. (0 ms total)
[  PASSED  ] 4 tests.
[  FAILED  ] 1 test, listed below:
[  FAILED  ] register_coalesce_test.test_channel_mul_grf

 1 FAILED TEST


commit 04895f5c601b240df547739da786b7c2b65bdd1e
Author: Matt Turner <mattst88@gmail.com>
Date:   Fri Aug 15 12:32:23 2014 -0700

    i965/vec4: Allow reswizzling writemasks when swizzle is single-valued.
    
    total instructions in shared programs: 4288033 -> 4266151 (-0.51%)
    instructions in affected programs:     930915 -> 909033 (-2.35%)
Comment 1 Matt Turner 2014-08-20 23:46:49 UTC
Ah, that's cool. The test checks that the compiler isn't able to do something that it can now do. :)
Comment 2 Matt Turner 2014-08-29 03:15:57 UTC
Patch sent.
Comment 3 Matt Turner 2014-08-31 03:57:25 UTC
Pushed as 8b5ac1df17608e0d0d5ce412988ee8de97f61405


bug/show.html.tmpl processed on Jan 16, 2017 at 21:51:23.
(provided by the Example extension).